Bug 3513 - xmms-wrapper.sh не передает аргументы
: xmms-wrapper.sh не передает аргументы
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xmms)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-01-18 14:00 by
Modified: 2005-08-29 14:47 (History)


Attachments
/usr/share/xmms/xmms-wrapper.sh (1.44 KB, text/plain)
2004-01-23 12:59, Michael Shigorin
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-01-18 14:00:29
Т.к. в /usr/lib/menu/xmms плейер вызывается посредством xmms-wrapper.sh,
необходимо, чтобы последний умел передавать указанные в коммандной строке
аргументы самому xmms. На этом, в частности, строится связывание файлов с
программами из меню KDE, которое в данный момент не работает. Параметр
kde_mimetype теряет смысл, поскольку xmms всегда открывается с пустым списком.

$ rpm -q xmms
xmms-1.2.8-alt5
------- Comment #1 From 2004-01-19 13:00:34 -------
thanks, fixed in 1.2.8-alt6
------- Comment #2 From 2004-01-23 11:27:13 -------
Bug still present in xmms-1.2.8-alt6. xmms-wrapper.sh hasn't changed.
------- Comment #3 From 2004-01-23 12:55:39 -------
indeed. =/
------- Comment #4 From 2004-01-23 12:59:40 -------
Created an attachment (id=338) [details]
/usr/share/xmms/xmms-wrapper.sh
------- Comment #5 From 2004-01-23 13:00:33 -------
*fixed* in 1.2.8-alt7; in the meantime, you can use the attached script